Issue 11663

Title
Allow cancelling done move
Priority
feature
Status
resolved
Nosy list
ced, dmoller, reviewbot, roundup-bot
Assigned to
ced
Keywords
review

Created on 2022-08-23.13:11:41 by ced, last changed 5 days ago by ced.

Messages

New changeset 6e5bb4a9fd8f by Cédric Krier in branch 'default':
Allow cancelling move done
https://hg.tryton.org/tryton-env/rev/6e5bb4a9fd8f
New changeset d8c209602d25 by Cédric Krier in branch 'default':
Allow cancelling move done
https://hg.tryton.org/modules/stock/rev/d8c209602d25
New changeset 1dadc6237a4a by Cédric Krier in branch 'default':
Allow cancelling move done
https://hg.tryton.org/modules/product_cost_fifo/rev/1dadc6237a4a
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2022-08-23.13:11:41

When a shipment or a production is cancelled, it may leave some moves done because they can not be cancelled.
The solution proposed in issue3988 and issue6096 is not really practical for many reasons:

  • it will require to create internal shipment in waiting state to be able to keep the origin location (but this will be lost if it is reset to draft)
  • for supplier shipment, it requires to create return shipment but if we keep the link with the purchase than the quantity computation will be wrong (and if we fix the computation, there is still the case of return being cancelled and make the purchase in exception).
  • if many shipments or productions are cancelled at once, it will create many internal shipments

So finally for me the best solution is to allow to cancel the moves done by adding the transition from done to cancelled. Of course this will be forbidden if the move is in a period closed or if it was used for FIFO computation. In this case (which should be very rare) the user will have to manage manually as currently.
I think also that we should not display the cancel button on move done to the user because indeed such behavior is only useful for managed moves like in shipment or production.

History
Date User Action Args
2022-11-28 13:40:31cedsetstatus: chatting -> resolved
2022-11-28 13:40:22cedsetmessages: - msg80228
2022-11-28 13:40:20cedsetmessages: - msg80224
status: resolved -> chatting
2022-11-28 13:40:10cedsetmessages: + msg80228
status: chatting -> resolved
2022-11-28 13:02:31dmollersetmessages: + msg80224
nosy: + dmoller
status: resolved -> chatting
2022-09-14 19:11:09roundup-botsetmessages: + msg78112
2022-09-14 19:11:02roundup-botsetmessages: + msg78111
2022-09-14 19:10:56roundup-botsetmessages: + msg78110
nosy: + roundup-bot
status: testing -> resolved
2022-08-23 13:16:04reviewbotsetmessages: + msg77763
nosy: + reviewbot
2022-08-23 13:13:40cedlinkissue6096 superseder

Showing 10 items. Show all history (warning: this could be VERY long)